Subject: Re: INFO: task hung in tcf_ife_init

From: Vlad Buslov <[email-masked]>
Date: Thu, 03 Sep 2020 20:08:23 +0300

On Thu 03 Sep 2020 at 18:33, syzbot <[email-masked]> wrote:
> syzbot has bisected this issue to:
>
> commit 4e8ddd7f1758ca4ddd0c1f7cf3e66fce736241d2
> Author: Vlad Buslov <[email-masked]>
> Date:   Thu Jul 5 14:24:30 2018 +0000
>
>     net: sched: don't release reference on action overwrite
>
> bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=14ae08e9900000
> start commit:   1996cf46 net: bcmgenet: fix mask check in bcmgenet_validat..
> git tree:       net
> final oops:     https://syzkaller.appspot.com/x/report.txt?x=16ae08e9900000
> console output: https://syzkaller.appspot.com/x/log.txt?x=12ae08e9900000
> kernel config:  https://syzkaller.appspot.com/x/.config?x=a0437fdd630bee11
> dashboard link: https://syzkaller.appspot.com/bug?extid=80e32b5d1f9923f8ace6
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=161678e1900000
> C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=14f826d1900000
>
> Reported-by: [email-masked]
> Fixes: 4e8ddd7f1758 ("net: sched: don't release reference on action overwrite")
>
> For information about bisection process see: https://goo.gl/tpsmEJ#bisection

The trace in bisection result doesn't seem to be related to the original
report and is fixed by 32039eac4c48 ("net: sched: act_ife: always
release ife action on init error").